/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { IFinancialPriceSeriesProxy_$type } from "./IFinancialPriceSeriesProxy";
import { Base, markType, getInstanceType } from "igniteui-react-core/ES2015/type";
import { stringEndsWith } from "igniteui-react-core/ES2015/string";
export class FinancialPriceSeriesProxy extends Base {
    getCloseMemberPath(a) {
        return a.ny;
    }
    getHighMemberPath(a) {
        return a.n1;
    }
    getLowMemberPath(a) {
        return a.n6;
    }
    getOpenMemberPath(a) {
        return a.oa;
    }
    getVolumeMemberPath(a) {
        return a.oe;
    }
    matchesType(a) {
        if (!a.cq) {
            return false;
        }
        if (stringEndsWith(getInstanceType(a).typeName, "Indicator") || stringEndsWith(getInstanceType(a).typeName, "Overlay")) {
            return false;
        }
        return true;
    }
    setCategoryMode(a, b) {
        a.l3 = b;
    }
    setCloseMemberPath(a, b) {
        a.ny = b;
    }
    setDisplayType(a, b) {
        a.o8 = b;
    }
    setHighMemberPath(a, b) {
        a.n1 = b;
    }
    setLowMemberPath(a, b) {
        a.n6 = b;
    }
    setOpenMemberPath(a, b) {
        a.oa = b;
    }
    setVolumeMemberPath(a, b) {
        a.oe = b;
    }
    setXAxis(a, b) {
        a.lw = b;
    }
    setYAxis(a, b) {
        a.mg = b;
    }
}
FinancialPriceSeriesProxy.$t = markType(FinancialPriceSeriesProxy, 'FinancialPriceSeriesProxy', Base.$, [IFinancialPriceSeriesProxy_$type]);
